{% load comments i18n %}
<form action="{% comment_form_target %}" method="post" id="comment-form">
  <div>{% csrf_token %}</div>
  {% if form.non_field_errors %}
  <div class="error">
    {{ form.non_field_errors }}
  </div>
  {% endif %}
  <fieldset>
    <legend>{% trans "Post your comment" %}</legend>
    <input type="hidden" name="next" value="{% url 'zinnia:comment_success' %}"/>
     {% for field in form %}
    {% if field.is_hidden %}
      <div>{{ field }}</div>
    {% else %}
{% if field.errors %}{{ field.errors }}{% endif %}
    {% ifequal field.name "name" %}
        <input id="id_name"  name="name" value="name" />
{% else %}{% ifequal field.name "url" %}
        <input id="id_name" type="hidden" name="name" value="url" />

    {% else %}{% ifequal field.name "email" %}
        <input type="hidden" name="email" value="abc@abc.com" id="id_email" />
    
      <p
              {% if field.errors %} class="error"{% endif %}
{% else %}{% ifequal field.name "honeypot" %}  
     </p >
     {% else %}{{ field.label_tag }} {{ field }}{% endifequal %}{% endifequal %}{% endifequal %}{% endifequal %} {% endif %}
    {% endfor %}    

    <p class="submit">
      <input type="submit" name="submit" class="submit-post" value="{% trans "Post" %}" />
      
      <input type="submit" name="preview" class="submit-preview" value="{% trans "Preview" %}" />
  </fieldset>
</form>
